Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class JCAManagedConnectionFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.JCAManagedConnectionFactory

All Implemented Interfaces:
  J2EEManagedObjectMBean, JCAManagedConnectionFactoryMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class JCAManagedConnectionFactory
extends J2EEManagedObject
implements JCAManagedConnectionFactoryMBean

Root class of the JBoss JSR-77 implementation of JCAManagedConnectionFactory.

Version:
  $Revision: 1.10.6.1 $
Author:
  Scott McLaughlin.
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JCAManagedConnectionFactory(String resName, javax.management.ObjectName jsr77ParentName)`

Method Summary
`static javax.management.ObjectName` | `create(javax.management.MBeanServer mbeanServer, String resName, javax.management.ObjectName jsr77ParentName)`
`static void` | `destroy(javax.management.MBeanServer mbeanServer, String resName)`
`protected Hashtable` | `getParentKeys(javax.management.ObjectName parentName)` This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents.
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`addChild, getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeChild, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### JCAManagedConnectionFactory

    public JCAManagedConnectionFactory(String resName,
                                       javax.management.ObjectName jsr77ParentName)
                                throws javax.management.MalformedObjectNameException,
                                       InvalidParentException

Method Detail

### create

    public static javax.management.ObjectName create(javax.management.MBeanServer mbeanServer,
                                                     String resName,
                                                     javax.management.ObjectName jsr77ParentName)

### destroy

    public static void destroy(javax.management.MBeanServer mbeanServer,
                               String resName)

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEManagedObject`

### getParentKeys

    protected Hashtable getParentKeys(javax.management.ObjectName parentName)

  Description copied from class: `J2EEManagedObject`
  This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents. By default it returns an empty hashtable instance.

  Overrides:
    `getParentKeys` in class `J2EEManagedObject`
  Parameters:
    `parentName` - The direct parent of this class
  Returns:
    A hashtable with the JCAResource and J2EEServer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.